List recent catalog jobs
curl --request GET \
--url https://api.vizochok.com/api/v1/catalog/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vizochok.com/api/v1/catalog/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vizochok.com/api/v1/catalog/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"job_id": "<string>",
"tenant_id": "<string>",
"status": "<string>",
"total": 0,
"embedded": 0,
"created": 0,
"updated": 0,
"unchanged": 0,
"errors": [],
"started_at": "<string>",
"completed_at": "<string>"
}
]Catalog
List recent catalog jobs
Returns up to 50 most recent catalog upload jobs, sorted by most recent first.
GET
/
api
/
v1
/
catalog
/
jobs
List recent catalog jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
Unique job identifier
Tenant that owns this job
Job status: pending, embedding, complete, or failed
Total number of products in this job
Number of products successfully embedded so far
Number of new products created
Number of existing products updated
Number of products skipped (content unchanged)
List of error messages for failed products
Timestamp when embedding started (ISO 8601)
Timestamp when the job finished (ISO 8601)